import { IFnContext } from '../types';
export { default as dbDefaultMethods } from './database';
/**
 * 是否使用的新的数据源内置方法命名
 */
export declare function isNewBuiltinName(name: string): boolean;
/** 是否为内置云函数 */
export declare function isBuiltinMethod(name: string): boolean;
/**
 * 将数据源方法名称倒退回旧名称
 */
export declare function fallback2oldMethodName(name: string): string;
/**
 * 标准化内置云函数名称, 无 weda 前缀的增加 weda 前缀
 */
export declare function normalizeBuiltinMethodName(name: string): string;
interface ICheckAuth {
    methodName: string;
    dataSourceName: string;
}
export declare function checkAuthOfMethod(params: ICheckAuth): Promise<any>;
interface ICallBuiltinMethod {
    /** 是否直接使用原有实现 */
    useLegacy?: boolean;
    /** 方法名称 */
    methodName: string;
    /** 视图ID */
    viewId?: string;
    /** 数据源名称 */
    dataSourceName: string;
    /** 参数 */
    params?: any;
}
export declare function callBuiltinMethod(params: ICallBuiltinMethod, context?: IFnContext): Promise<any>;
