"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.callCloudFnMethod = void 0;
const vm_1 = __importDefault(require("vm"));
const utils_1 = require("../utils");
async function callCloudFnMethod(params, context) {
    const vmModule = {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        exports(params, context) { },
    };
    const vmContext = {
        module: vmModule,
        require,
        TCBError: utils_1.TCBError,
    };
    vm_1.default.createContext(vmContext);
    try {
        vm_1.default.runInNewContext(params.methodCfg.calleeBody.callee, vmContext);
        const result = await vmModule.exports(params.params, context);
        return result;
    }
    catch (e) {
        // TODO 异常处理
        throw new utils_1.TCBError(-1, e);
    }
}
exports.callCloudFnMethod = callCloudFnMethod;
